Verified Commit d3497789 authored by Aral Balkan's avatar Aral Balkan
Browse files

Update auto-encrypt to 2.0.5

(Removes high npm vulnerability warning)
parent 093529a8
......@@ -182,16 +182,16 @@
"integrity": "sha512-UdkG3mLEqXgnlKsWanWcgb6dOjUzJ+XC5f+aWw30qrtjxeNUSfKX1cd5FBzOaXQumoe9nIqeZUvrRJS03HCCtw=="
},
"@small-tech/auto-encrypt": {
"version": "2.0.4",
"resolved": "https://registry.npmjs.org/@small-tech/auto-encrypt/-/auto-encrypt-2.0.4.tgz",
"integrity": "sha512-PP6ahHrJfhz4rTLJl5PSKSXkMUbB7oEHZAB0zHA9gxXckbZQqFgePt203A1QjVygXvJe/KllBd3U4jtWgQHkig==",
"version": "2.0.5",
"resolved": "https://registry.npmjs.org/@small-tech/auto-encrypt/-/auto-encrypt-2.0.5.tgz",
"integrity": "sha512-Qfm3BckBsf7Rf1Qys60pwHOsLA0IEzYDig6xM69psXuWowwgnjFSlylKQvr9bal/DVlMBbo559jCpBFY40EZuQ==",
"requires": {
"bent": "github:aral/bent#errors-with-response-headers",
"encodeurl": "^1.0.2",
"fs-extra": "^8.1.0",
"jose": "^1.24.0",
"moment": "^2.24.0",
"node-forge": "^0.9.1",
"node-forge": "^0.10.0",
"ocsp": "^1.2.0",
"server-destroy": "^1.0.1"
},
......@@ -1514,9 +1514,9 @@
}
},
"jose": {
"version": "1.27.2",
"resolved": "https://registry.npmjs.org/jose/-/jose-1.27.2.tgz",
"integrity": "sha512-zLIwnMa8dh5A2jFo56KvhiXCaW0hFjdNvG0I5GScL8Wro+/r/SnyIYTbnX3fYztPNSfgQp56sDMHUuS9c3e6bw==",
"version": "1.28.0",
"resolved": "https://registry.npmjs.org/jose/-/jose-1.28.0.tgz",
"integrity": "sha512-JmfDRzt/HSj8ipd9TsDtEHoLUnLYavG+7e8F6s1mx2jfVSfXOTaFQsJUydbjJpTnTDHP1+yKL9Ke7ktS/a0Eiw==",
"requires": {
"@panva/asn1.js": "^1.0.0"
}
......@@ -1894,9 +1894,9 @@
"dev": true
},
"moment": {
"version": "2.27.0",
"resolved": "https://registry.npmjs.org/moment/-/moment-2.27.0.tgz",
"integrity": "sha512-al0MUK7cpIcglMv3YF13qSgdAIqxHTO7brRtaz3DlSULbqfazqkc5kEjNrLDOM7fsjshoFIihnU8snrP7zUvhQ=="
"version": "2.29.1",
"resolved": "https://registry.npmjs.org/moment/-/moment-2.29.1.tgz",
"integrity": "sha512-kHmoybcPV8Sqy59DwNDY3Jefr64lK/by/da0ViFcuA4DH0vQg5Q6Ze5VimxkfQNSC+Mls/Kx53s7TjP1RhFEDQ=="
},
"ms": {
"version": "2.1.2",
......@@ -1923,9 +1923,9 @@
"dev": true
},
"node-forge": {
"version": "0.9.1",
"resolved": "https://registry.npmjs.org/node-forge/-/node-forge-0.9.1.tgz",
"integrity": "sha512-G6RlQt5Sb4GMBzXvhfkeFmbqR6MzhtnT7VTHuLadjkii3rdYHNdw0m8zA4BTxVIh68FicCQ2NSUANpsqkr9jvQ=="
"version": "0.10.0",
"resolved": "https://registry.npmjs.org/node-forge/-/node-forge-0.10.0.tgz",
"integrity": "sha512-PPmu8eEeG9saEUvI97fm4OYxXVB6bFvyNTyiUOBichBpFG8A1Ljw3bY62+5oOjDEMHRnd0Y7HQ+x7uzxOzC6JA=="
},
"normalize-package-data": {
"version": "2.5.0",
......
......@@ -28,7 +28,7 @@
"license": "AGPL-3.0-or-later",
"dependencies": {
"fs-extra": "^9.0.0",
"@small-tech/auto-encrypt": "^2.0.4",
"@small-tech/auto-encrypt": "^2.0.5",
"@small-tech/auto-encrypt-localhost": "^5.4.1"
},
"devDependencies": {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment